Archive bank statement upload
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/transaction-uploads/{uploadId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/transaction-uploads/{uploadId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/transaction-uploads/{uploadId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Custom_Transaction_Upload",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_account_name": "<string>",
"uploaded_at": "2023-11-07T05:31:56Z",
"upload_name": "<string>",
"transaction_count": 123,
"archived_at": "2023-11-07T05:31:56Z"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Custom Accounts
Archive bank statement upload
Archives a transaction upload and its imported transactions, reversing their categorization. This endpoint also supports other custom-account transaction uploads.
POST
/
v1
/
businesses
/
{businessId}
/
transaction-uploads
/
{uploadId}
/
archive
Archive bank statement upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the transaction upload to archive.
Response
Show child attributes
Show child attributes